from Cylindre import Cylindre

class Cone(Cylindre):

	def __init__(self, rayon, hauteur):
		Cylindre.__init__(self,rayon, hauteur)

	def volume(self):
		return super(Cylindre,self).surface() / 3

	def __str__(self):
		return "le cone de rayon "+ str(self.getRayon())+ " et de hauteur " + str(self.getHauteur()) +" a un volume de "+ str(self.volume())